﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'     Runtime Version:2.0.50727.8670
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict Off
Option Explicit On

Imports System
Imports System.ComponentModel
Imports System.Data
Imports System.Diagnostics
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Xml.Serialization

'
'This source code was auto-generated by Microsoft.CompactFramework.Design.Data, Version 2.0.50727.8670.
'
Namespace WSGI
    
    '''<remarks/>
    <System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code"),  _
     System.Web.Services.WebServiceBindingAttribute(Name:="GIServiceSoap", [Namespace]:="http://tempuri.org/")>  _
    Partial Public Class GIService
        Inherits System.Web.Services.Protocols.SoapHttpClientProtocol
        
        '''<remarks/>
        Public Sub New()
            MyBase.New
            Me.Url = "http://localhost/WSGIRack/GIService.asmx"
        End Sub
        
        '''<remarks/>
        <System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/HelloWorld", RequestNamespace:="http://tempuri.org/", ResponseNamespace:="http://tempuri.org/", Use:=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)>  _
        Public Function HelloWorld() As String
            Dim results() As Object = Me.Invoke("HelloWorld", New Object(-1) {})
            Return CType(results(0),String)
        End Function
        
        '''<remarks/>
        Public Function BeginHelloWorld(ByVal callback As System.AsyncCallback, ByVal asyncState As Object) As System.IAsyncResult
            Return Me.BeginInvoke("HelloWorld", New Object(-1) {}, callback, asyncState)
        End Function
        
        '''<remarks/>
        Public Function EndHelloWorld(ByVal asyncResult As System.IAsyncResult) As String
            Dim results() As Object = Me.EndInvoke(asyncResult)
            Return CType(results(0),String)
        End Function
        
        '''<remarks/>
        <System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/GetOrderData", RequestNamespace:="http://tempuri.org/", ResponseNamespace:="http://tempuri.org/", Use:=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)>  _
        Public Function GetOrderData(ByVal requestEnt As GIEntity) As GIEntity
            Dim results() As Object = Me.Invoke("GetOrderData", New Object() {requestEnt})
            Return CType(results(0),GIEntity)
        End Function
        
        '''<remarks/>
        Public Function BeginGetOrderData(ByVal requestEnt As GIEntity, ByVal callback As System.AsyncCallback, ByVal asyncState As Object) As System.IAsyncResult
            Return Me.BeginInvoke("GetOrderData", New Object() {requestEnt}, callback, asyncState)
        End Function
        
        '''<remarks/>
        Public Function EndGetOrderData(ByVal asyncResult As System.IAsyncResult) As GIEntity
            Dim results() As Object = Me.EndInvoke(asyncResult)
            Return CType(results(0),GIEntity)
        End Function
        
        '''<remarks/>
        <System.Web.Services.Protocols.SoapDocumentMethodAttribute("http://tempuri.org/WriteScanDataToServer", RequestNamespace:="http://tempuri.org/", ResponseNamespace:="http://tempuri.org/", Use:=System.Web.Services.Description.SoapBindingUse.Literal, ParameterStyle:=System.Web.Services.Protocols.SoapParameterStyle.Wrapped)>  _
        Public Function WriteScanDataToServer(ByVal requestEnt As GIEntity) As GIEntity
            Dim results() As Object = Me.Invoke("WriteScanDataToServer", New Object() {requestEnt})
            Return CType(results(0),GIEntity)
        End Function
        
        '''<remarks/>
        Public Function BeginWriteScanDataToServer(ByVal requestEnt As GIEntity, ByVal callback As System.AsyncCallback, ByVal asyncState As Object) As System.IAsyncResult
            Return Me.BeginInvoke("WriteScanDataToServer", New Object() {requestEnt}, callback, asyncState)
        End Function
        
        '''<remarks/>
        Public Function EndWriteScanDataToServer(ByVal asyncResult As System.IAsyncResult) As GIEntity
            Dim results() As Object = Me.EndInvoke(asyncResult)
            Return CType(results(0),GIEntity)
        End Function
    End Class
    
    '''<remarks/>
    <System.Diagnostics.DebuggerStepThroughAttribute(),  _
     System.ComponentModel.DesignerCategoryAttribute("code"),  _
     System.Xml.Serialization.XmlTypeAttribute([Namespace]:="http://tempuri.org/")>  _
    Partial Public Class GIEntity
        
        '''<remarks/>
        Public OrderNo As String
        
        '''<remarks/>
        Public ListConfirmData As System.Data.DataSet
        
        '''<remarks/>
        Public ListGetData As System.Data.DataSet
        
        '''<remarks/>
        Public IsComplete As Boolean
        
        '''<remarks/>
        Public ErrorMessage As String
    End Class
End Namespace
